# stdex: stdex::benchmark Class Reference

Loading...
Searching...
No Matches
stdex::benchmark Class Reference

Measures time between initialization and going out of scope. More...

`#include <stdex/debug.hpp>`

## Public Member Functions

| benchmark (const char *task_name)
| Starts the measurement.
| ~benchmark ()
| Stops the measurement and outputs the result to the diagnostic console.

## Protected Attributes

const char * | m_task_name
std::chrono::time_point< std::chrono::high_resolution_clock > | m_start

## Detailed Description

Measures time between initialization and going out of scope.

## Constructor & Destructor Documentation

## benchmark()

stdex::benchmark::benchmark | ( | const char * | task_name | ) |

inline

Starts the measurement.

Parameters

  [in] | task_name | Name of the task. The string must remain resident for the lifetime of this object

The documentation for this class was generated from the following file:

- include/stdex/debug.hpp